diff --git a/CHANGELOG b/CHANGELOG
index 1a51a79c..cf96c1d7 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -1307,6 +1307,7 @@ v5.15 (24-May-2021) Fixed listfile writing when there is no listfile data
                       slots/banks. Information is calculated using
                       .RAMSECTIONs.
                     -v prints now more information about the RAM/ROM usage.
+                    WLALINK writes now version 2 WLA symbol files.
                     Symbol files created with -S (and -A) contain now object
                       file IDs for entries in [source files] and
                       [addr-to-line mapping].
diff --git a/wlalink/write.c b/wlalink/write.c
index 48de41ce..6286e9fc 100644
--- a/wlalink/write.c
+++ b/wlalink/write.c
@@ -1737,6 +1737,10 @@ int write_symbol_file(char *outname, unsigned char mode, unsigned char output_ad
     /* WLA SYMBOL FILE */
     fprintf(f, "; wla symbolic information for \"%s\".\n", outname);
 
+    /* info section */
+    fprintf(f, "\n[information]\n");
+    fprintf(f, "version 2\n");
+    
     /* labels */
     l = g_labels_first;
     while (l != NULL) {
